Subject: Re: [Sip] Thoughts on multiple registrations to an extension

From: "Attila Sipos" <[email-masked]>
Date: Mon, 12 Oct 2009 12:37:26 +0100

In SIP, one can register multiple devices to the same extension.

Then the call gets forwarded to each device simultaneously using SIP "forking".

from RFC 3261
 A proxy server can
   also send an INVITE to a number of locations at the same time.  This
   type of parallel search is known as forking.

It's well-understood, well-known and has been around for several years.

(SIP forking is not possible on stateless proxies though)

Regards

Attila

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Sidney San Martín
Sent: 11 October 2009 23:34
To: [email-masked]
Subject: [Sip] Thoughts on multiple registrations to an extension

Disclaimer: I'm not involved in the SIP community and not very familiar with its implementation or history.

Whenever I use an IP phone, I run into a nned to register the same extension on multiple devices, and I always get the recommendation to create more extensions and use hackery on the PBX to make 'em work like they're a single one. That's not good enough. The other protocols we use to communicate (XMPP, POP/IMAP/SMTP, even proprietary ones like AIM and old ones like POTS) are all friendly to multiple connections to the same account. Why's this functionality missing from SIP? There are only a few use cases, but they're huge ones:

- A user has a desk phone but also wants to take and place calls occasionally from a computer or mobile device over cellular data.  
Usually, the desk phone will be the only device registered.
- A user wants an extension represented in two or more geographically separate locations, say on a desk phone at home and a desk phone at work
- A house with extensions in several rooms. Right now, the "IP" part of IP telephony usually evaporates inside the home, where SIP gets bridged to POTS. That's great for retrofits, but as fewer people subscribe to landline service, there will come a time when new homes aren't wired for POTS. At the same time, many new homes ARE being wired with Ethernet.

What do you all think about this problem? (If it's already been discussed to death, feel free to lightly whack me over the head and point me to the right thread :).) _______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use [email-masked] for questions on current sip Use [email-masked] for new developments on the application of sip